/* Leitura de inteiros gravados anteriormente em arquivo via programa 
 * "gravaint.c"
 */

#include <stdio.h>
#include <string.h>

#define NUM_DADOS   50

int main () 
{
  int dados[NUM_DADOS];
  int leitura[NUM_DADOS];
  char arquivo[] = "gravaint-01.dat";
  int i;
  FILE *fp;

  /* Abre arquivo */
  fp = fopen (arquivo, "r");
  if (fp == NULL)
    printf("Erro ao abrir arquivo %s\n", arquivo);
  else {
    /* Lendo dados ... */
    if (fread(leitura, sizeof(int), NUM_DADOS, fp) != NUM_DADOS) {
      printf("ERRO DE LEITURA !!!\n");
      return;
    }

    /* Exibe numeros lidos */
    for (i=0; i < NUM_DADOS; i++) {
      printf("Numero inteiro %d: %d\n", i + 1, leitura[i]);
    }

    /* Fecha arquivo */
    fclose(fp);     /* fecha arquivo */
  }  /* FIM (fp == NULL) */
}
